[![License](https://img.shields.io/badge/license-MIT_license-blue.svg)](https://raw.githubusercontent.com/dblume/md-reader/master/LICENSE.txt)
![bash](https://img.shields.io/badge/bash-3.2-blue.svg)

## A Command-line Bandwidth Calculator

With fast.sh, you can issue a Unix command from the terminal to calculate
download bandwidth from fast.com. For example:

    $ fast.sh
    # Bytes Cur. rate   Avg. Rate
    ------- ----------- -----------
    1.22GiB [31.1MiB/s] [31.1MiB/s]

## Credit

The original implementation comes from Tiksi's 
[one-liner at Hacker News](https://news.ycombinator.com/item?id=12259331). I just
added some whitespace and made some adjustments that made it more flexible and
easier for me to read and maintain.

## Requirements

The script requires these two handy modules:

1. **[jq](https://stedolan.github.io/jq/)**: A JSON parser.
2. **[pv](http://www.ivarch.com/programs/pv.shtml)**: ([mirror](https://github.com/icetee/pv)) A pipe viewer.

## Is it any good?

[Yes](https://news.ycombinator.com/item?id=3067434).

## Licence

This software uses the [MIT license](http://git.dlma.com/fast-bandwidth-calculator.git/blob/master/LICENSE.txt).
